aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan Tuomi <jan-sebastian.tuomi@aalto.fi>2016-12-10 15:31:37 +0200
committerJan Tuomi <jan-sebastian.tuomi@aalto.fi>2016-12-10 15:31:37 +0200
commitfc7051ff67713d3a059a0aac64aa84ba964170f7 (patch)
treeab934f4b011ec8c4c9b92afb327322678c6617cf
parent2065259a5ee1091153f852643a0fdeffd4ecfdf1 (diff)
Add install scriptmaster
-rwxr-xr-xinstall.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..a455a93
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+BASE_PATH=$1
+SCRIPT_NAME="psx-cuegen"
+
+mkdir -p "$BASE_PATH/bin" 2>/dev/null
+ln -s $(readlink -f "$SCRIPT_NAME") $(readlink -f "$BASE_PATH/bin")
+if [ $? -ne 0 ]; then
+ echo "Installation failed."
+ exit 1
+else
+ echo "Installation successful."
+ exit 0
+fi